package com.inspur.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.inspur.common.annotation.Excel;
import com.inspur.common.core.domain.BaseEntity;

/**
 * PBX对象 elevator_pbx_info
 *
 * @author inspur
 * @date 2024-09-30
 */
public class ElevatorPbxInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 设备厂商 */
    @Excel(name = "设备厂商")
    private String deviceBrand;

    /** 设备型号 */
    @Excel(name = "设备型号")
    private String deviceModel;

    /** 设备IP */
    @Excel(name = "设备IP")
    private String deviceIp;

    /** 设备mac */
    @Excel(name = "设备mac")
    private String deviceMac;

    /** 设备状态 */
    @Excel(name = "设备状态")
    private Integer deviceState;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDeviceName(String deviceName)
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName()
    {
        return deviceName;
    }
    public void setDeviceBrand(String deviceBrand)
    {
        this.deviceBrand = deviceBrand;
    }

    public String getDeviceBrand()
    {
        return deviceBrand;
    }
    public void setDeviceModel(String deviceModel)
    {
        this.deviceModel = deviceModel;
    }

    public String getDeviceModel()
    {
        return deviceModel;
    }
    public void setDeviceIp(String deviceIp)
    {
        this.deviceIp = deviceIp;
    }

    public String getDeviceIp()
    {
        return deviceIp;
    }
    public void setDeviceMac(String deviceMac)
    {
        this.deviceMac = deviceMac;
    }

    public String getDeviceMac()
    {
        return deviceMac;
    }
    public void setDeviceState(Integer deviceState)
    {
        this.deviceState = deviceState;
    }

    public Integer getDeviceState()
    {
        return deviceState;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("deviceName", getDeviceName())
                .append("deviceBrand", getDeviceBrand())
                .append("deviceModel", getDeviceModel())
                .append("deviceIp", getDeviceIp())
                .append("deviceMac", getDeviceMac())
                .append("deviceState", getDeviceState())
                .append("userName", getUserName())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
